%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-URI
Version:        1.37
Release:        1
Summary:        A Perl module implementing URI parsing and manipulation

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/URI/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/URI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8


%description
This module implements the URI class. Objects of this class represent
"Uniform Resource Identifier references" as specified in RFC 2396 (and
updated by RFC 2732).


%prep
%setup -q -n URI-%{version}
chmod 644 uri-test


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changes README rfc2396.txt uri-test
%{perl_vendorlib}/URI*
%{_mandir}/man3/*.3*


%changelog
* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 1.37-1
- updated to version 1.37

* Thu Oct 16 2008 Michael Perzl <michael@perzl.org> - 1.35-1
- first version for AIX V5.1 and higher
